var questions;
var currentq = 0;
var currenttype;

$(document).ready(function(){

  $.getJSON('data/questions.json', function(data){
    questions = data;
  }).then(function(){
    loadQuestion();
  });

  function loadQuestion() {
    var q = questions[currentq];
    currenttype = q.type;
    if (currenttype === "singlechoice") {
      $('.question-title').text('Ερώτηση:');
      $('.question-text').text(q.questionText);
      $('.question-options').html('');
      for (var i = 0; i < q.answers.length; i++) {
        var correct = q.answers[i].correct ? true : false;
        $('.question-options').append('<label class="checkcontainer">'+q.answers[i].text+'<input name="questionoptions" type="radio" value="'+(i+1)+'" data-correct="'+correct+'"><span class="checkmark"></span></label>');
      }
      $('.question-button button').text('Καταχώρηση Απάντησης');
    } else if (currenttype === "reflection") {
      $('.question-title').text('Ερώτηση Προβληματισμού');
      $('.question-text').html(q.questionText);
      $('.iframe-link').click(function(){
        var article_open = false;
        var link = $(this).attr('data-link');
        var article = '<div class="iframe-container article-container">\n' +
         '        <div class="close-iframe article"><img src="assets/close.svg" class="close-button-x"></div>\n' +
         '        <iframe src="'+link+'" class="info-iframe"></iframe>\n' +
         '    </div>';

       if(!article_open){
         $('body').append(article);
         article_open = true;
         $('.close-iframe.article').click(function(){
           article_open = false;
           $('.iframe-container.article-container').remove();
         });
       }
      });
      $('.question-options').html('');
      $('.question-button button').text('Επόμενη Ερώτηση');
    } else if (currenttype === "nobutton") {
      $('.question-title').text(q.title);
      $('.question-text').html(q.questionText);
      $('.question-options').html('');
      $('.question-button button').remove();
    }
  }

  function loadNextQuestion() {
    $('.question-container').removeClass('zoomIn').addClass('zoomOut');
    setTimeout(function(){
        $('.question-container').removeClass('zoomOut').addClass('zoomIn');
        currentq++;
        loadQuestion();
    }, 500);
  }

  $('.next-btn').click(function(){
    if (currenttype === 'singlechoice') {
      var iscorrect = $('input[name="questionoptions"]:checked').attr('data-correct');
      if (iscorrect === undefined) {
          swal({
              title: 'Ουπς...',
              text: 'Δεν έχεις επιλέξει κάποια απάντηση στην ερώτηση. Μελέτησε προσεκτικά τα δεδομένα και απάντησε!',
              icon: 'error'
          })
      } else if (iscorrect === 'true') { // true and false is string based.
        swal({
             title: 'Τέλεια!',
             text: 'Έχεις απαντήσει σωστά στην ερώτηση!',
             icon: 'success',
             buttons: {
                 confirm: 'Επόμενη Ερώτηση'
             }
         }).then((res) => {
             loadNextQuestion();
         });
      } else {
        swal({
             title: 'Ουπς...',
             text: 'Δες λίγο πιο προσεκτικά τις οδηγίες για την αναζήτηση των στοιχείων και δοκίμασε ξανά.',
             icon: 'error',
             buttons: {
                cancel: 'Νέα Προσπάθεια!',
                confirm: 'Επόμενη Ερώτηση'
             }
         }).then((res) => {
              if(res){
                  loadNextQuestion();
              }
         });
      }
    } else {
      loadNextQuestion();
    }
  });

  var help_open = false;
   $('#help').on('click', function(){
      var help = '<div class="iframe-container help-iframe">\n' +
        '        <div class="close-iframe"><img src="assets/close.svg" class="close-button-x"></div>\n' +
        '        <iframe src="help.html" class="help-iframe"></iframe>\n' +
        '    </div>';

      if(!help_open){
        $('body').append(help);
        $('.container').addClass('blur');
        help_open = true;
        $('.close-iframe').click(function(){
          help_open = false;
          info_open = false;
          $('.iframe-container').remove();
          $('.container').removeClass('blur');
        });
      }
   });

    var info_open = false;
    $('#info').on('click', function(){
      var info = '<div class="iframe-container info-frame">\n' +
        '        <div class="close-iframe"><img src="assets/close.svg" class="close-button-x"></div>\n' +
        '        <iframe src="info.html" class="info-iframe"></iframe>\n' +
        '    </div>';

      if(!info_open){
        $('body').append(info);
        $('.container').addClass('blur');
        info_open = true;
        $('.close-iframe').click(function(){
          info_open = false;
          help_open = false;
          $('.iframe-container').remove();
          $('.container').removeClass('blur');
        });
      }
   });


  $('.close-iframe').click(function(){
    help_open = false;
    info_open = false;
    $('.iframe-container').remove();
    $('.container').removeClass('blur');
  });
});
